Bug 88366 - Booting system without keyboard halts system
Booting system without keyboard halts system
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
http://www.penguinpages.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-09 10:12 EDT by Jeremey Wise
Modified: 2007-04-18 12:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremey Wise 2003-04-09 10:12:25 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: Install Red Hat 8.0 or Red Hat 9. Boot system without 
keyboard attached will not work. System hanges during boot process.


Steps to Reproduce:
1. Load Red Hat
2. Remove Keyboard connector from system
3. Power on system.
4. Watch boot process hang after APM 
    
Actual results: Non booting system


Expected results: Enter runlevel 3


Additional info: Intel 815e based system. 1U chassie for web / mail farm. 
Current working environment runs 7.3 7.2 and works fine. Updating to refresh 
version. IDE HDD with software RAID. Updated BIOS (and tried backrev) with no 
effect. Changed BIOS APM settings, no effect. Here is the boot process from 
screen.

*******
...
(boot stuff)
...
mtrr:detected mtrr type: Intel
PCI: PCI BIOS revision 2.10 entry at 0xfda95, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
Transparent bridge - Intel Corp. 82801BA/CA/DB PCI Bridge
PCI: Using IRQ router PIIX [8086/2440] at 00:1f.0
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initilizing RT netlink socket
apm: BIOS version 1.2 Flags 0x0b (Driver version 1.16)
...
...
(hangs here. Left in this state for 45min with no change)
...
Comment 1 David Lawrence 2003-04-09 12:55:38 EDT
Changing product and component so proper person will see this bug report.
Comment 2 Michael Fulbright 2003-04-11 15:38:38 EDT
Is this an installed system you are seeing the hang with, or a system that you
are trying to get installed?
Comment 3 Jeremey Wise 2003-04-14 09:56:55 EDT
------- Additional Comments From msf@redhat.com
  2003-04-11 15:38 -------
Is this an installed system you are seeing the hang with, or a system
that you
are trying to get installed?


Answer: Did the installation ok. I had the keyboard and mouse connected for the 
install. Used text install (if it matters). The system boots fine if the 
keyboard is attached so it is not an "install" issue at all.
Comment 4 Michael Fulbright 2003-04-21 17:27:52 EDT
Reassigning.
Comment 5 Alan Cox 2003-06-05 12:38:22 EDT
Thats a strange place for such a hang but try "apm=off" as a boot option and see
if that fixes it
Comment 6 Dennis Bertram 2003-07-11 10:34:31 EDT
I am experencing the same problem using rh9, on an intel CA810E mother board
with the all the patches and updates installed from both Redhat and Intel.
Comment 7 David Lai 2004-05-26 20:47:07 EDT
Same problems with Intel CA810E and redhat 7.3 base updated to kernel
2.4.18-27.7.x.  Specifying apm=no does workaround the problem - 
thanks.  A real fix would be nice too.
Comment 8 Bugzilla owner 2004-09-30 11:40:46 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.